Bug 1274930 - Review Request: nodejs-color-namer - Calculate color distance with the Delta-E difference
Review Request: nodejs-color-namer - Calculate color distance with the Delta-...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eduardo Mayorga
Fedora Extras Quality Assurance
:
Depends On: 1275008 1275009
Blocks: 1274934
  Show dependency treegraph
 
Reported: 2015-10-23 19:02 EDT by William Moreno
Modified: 2017-01-26 23:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-26 23:17:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
e: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description William Moreno 2015-10-23 19:02:41 EDT
Spec URL: https://williamjmorenor.fedorapeople.org/rpmdev/nodejs-color-namer.spec
SRPM URL: https://williamjmorenor.fedorapeople.org/rpmdev/nodejs-color-namer-1.0.0-0.fc24.src.rpm
Description: Calculate color distance with the Delta-E  difference
Fedora Account System Username: williamjmorenor

Test builds: https://copr.fedoraproject.org/coprs/williamjmorenor/fedora-review-test/build/129932/
Comment 1 Eduardo Mayorga 2015-10-24 12:14:46 EDT
Diff spec file in url and in SRPM
---------------------------------
--- /home/mayorga/reviews/1274930-nodejs-color-namer/srpm/nodejs-color-namer.spec	2015-10-24 09:49:38.906554668 -0600
+++ /home/mayorga/reviews/1274930-nodejs-color-namer/srpm-unpacked/nodejs-color-namer.spec	2015-10-23 16:44:04.000000000 -0600
@@ -1,10 +1,10 @@
 Name:               nodejs-color-namer
 Version:            1.0.0
-Release:            1%{?dist}
+Release:            0%{?dist}
 Summary:            Calculate color distance with the Delta-E  difference
 Group:              Development/Libraries
 License:            UNLICENSE
 URL:                https://www.npmjs.com/package/color-namer
-Source0:            http://registry.npmjs.org/color-namer/-/color-namer-%{version}.tgz
+Source0:            http://registry.npmjs.org/color-name/-/color-name-%{version}.tgz
 
 BuildArch:          noarch
@@ -29,5 +29,7 @@
 %install
 mkdir -p %{buildroot}%{nodejs_sitelib}/color-namer
-cp -pr package.json index.js lib/ dist/ \
+cp -pr package.json \
+    %{buildroot}%{nodejs_sitelib}/color-namer
+cp -pr index.json \
     %{buildroot}%{nodejs_sitelib}/color-namer
 
@@ -35,9 +37,7 @@
 
 %files
+%license UNLICENSE
 %doc README.md
 %{nodejs_sitelib}/color-namer/
 
 %changelog
-* Fri Oct 23 2015 William Moreno <williamjmorenor@gmail.com> - 1.0.0-1
-- Initial Packaging
-

Please provide the same Spec in both the Spec URL and the SRPM.
Comment 3 William Moreno 2016-02-26 13:22:01 EST
Any update?
Comment 4 Eduardo Mayorga 2016-07-09 01:18:40 EDT
Sorry for the delay. Please update to the latest upstream release.

Note You need to log in before you can comment on or make changes to this bug.